# Concepts

## The Auth Flow

An overview of the steps required to authenticate a wallet and authorize a wallet for access based on token ownership (token gating.) Understanding these flows will make it clear what api calls you will require to accomplish your desired outcome. This article also includes a peak under the hood of how the service works.

{% content-ref url="/pages/Khn8ZllHmPYmdbM1sf3w" %}
[Auth Flow](/picket-docs/reference/concepts/auth-flow.md)
{% endcontent-ref %}

## Connect

Methods for connecting a wallet and retrieving a wallet object using the Picket service. Description of the wallet object when retrieved via Picket.

{% content-ref url="/pages/xBE7E8MauA4FdmHRdYer" %}
[Connect](/picket-docs/reference/concepts/connect.md)
{% endcontent-ref %}

## Signatures

All the ways you can obtain a signature. The first step in all token gating and authentication flows.

{% content-ref url="/pages/dRpPOqOVSOwREaeIDnse" %}
[Signatures](/picket-docs/reference/concepts/signatures.md)
{% endcontent-ref %}

## Authentication and Authorization

Methods for verifying a user's wallet and that the wallet holds given tokens.

{% content-ref url="/pages/Eh0PJYBYt2eNkzpheLc0" %}
[Authentication and Authorization](/picket-docs/reference/concepts/authentication-and-authorization.md)
{% endcontent-ref %}

{% hint style="info" %}
**Good to know:** The `/auth` endpoint can be used to both authenticate wallets and verify token ownership for token gating.&#x20;
{% endhint %}

## Access Tokens

Everything you need to know about what a Picket access token is, how to get it, and how to use it securely.&#x20;

{% content-ref url="/pages/vD5ZNyxmvYvyOEnE2eHK" %}
[Access Tokens](/picket-docs/reference/concepts/access-tokens.md)
{% endcontent-ref %}

## Errors

Error codes you may come across and their meaning. We work hard to ensure you don't need this page often.

{% content-ref url="/pages/fNm6LiHtf61LWvT1AMy5" %}
[Errors](/picket-docs/reference/concepts/errors.md)
{% endcontent-ref %}

## Supported BlockChains

The blockchains with which Picket is compatible&#x20;

{% content-ref url="/pages/8kwAbutx9BcK41I4EFwN" %}
[Supported Blockchains](/picket-docs/reference/concepts/supported-blockchains.md)
{% endcontent-ref %}

## Web3 Client Libraries

Recommended Web3 client libraries to help you start building! If you want to start using connected wallets for other on-chain operations these libraries can help you do that.

{% content-ref url="/pages/3G0odfg5YEcPTvcjCTaA" %}
[Open Source Web3 Client Libraries](/picket-docs/reference/concepts/open-source-web3-client-libraries.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.picketapi.com/picket-docs/reference/concepts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
